<table class="table table-stripped table-condensed table-hover" xmlns:th="http://www.thymeleaf.org">
    <thead>
        <tr>
            <th th:text="#{Name}" style="width: 15%">Name</th>
            <th th:text="#{Mandatory}" style="width: 10%">Mandatory</th>
            <th th:text="#{Description}" style="width: 30%">Description</th>
            <th th:text="#{Value}" style="width: 45%">Value</th>
        </tr>
    </thead>
    <tbody>
        <tr th:each="opt : ${optionsDescriptions}">
            <td th:text="${opt.name}">Name</td>
            <td th:text="#{${opt.mandatory ? 'Yes' : 'No'}}"></td>
            <td th:text="${opt.description}"></td>
            <td th:switch="${opt.type}">
                <input th:case="'boolean'" type="checkbox" value="yes" th:name="${opt.htmlName}" th:checked="${opt.value}" />
                <input th:case="'Boolean'" type="checkbox" value="yes" th:name="${opt.htmlName}" th:checked="${opt.value}" />
                <textarea th:case="'Text'" class="form-control" rows="4" style="resize: none" th:name="${opt.htmlName}" th:text="${opt.value}"></textarea>
                <input th:case="'int'" class="form-control" th:name="${opt.htmlName}" th:value="${opt.value}" data-parsley-type="digits" />
                <input th:case="'Integer'" class="form-control" th:name="${opt.htmlName}" th:value="${opt.value}" data-parsley-type="digits" />
                <input th:case="*" class="form-control" th:name="${opt.htmlName}" th:value="${opt.value}" />
            </td>
        </tr>
    </tbody>
</table>
